[arch-commits] Commit in seamonkey/trunk (PKGBUILD xulrunner-png14.patch)

Jan de Groot jgc at archlinux.org
Sun Jan 17 09:28:15 EST 2010


    Date: Sunday, January 17, 2010 @ 09:28:15
  Author: jgc
Revision: 63437

upgpkg: seamonkey 2.0.2-1
    Rebuild for libpng14 and libjpeg8, add patch from xulrunner to fix compilation

Added:
  seamonkey/trunk/xulrunner-png14.patch
Modified:
  seamonkey/trunk/PKGBUILD

-----------------------+
 PKGBUILD              |   13 ++++++++-----
 xulrunner-png14.patch |   11 +++++++++++
 2 files changed, 19 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-17 14:27:09 UTC (rev 63436)
+++ PKGBUILD	2010-01-17 14:28:15 UTC (rev 63437)
@@ -6,24 +6,27 @@
 pkgdesc="SeaMonkey internet suite"
 arch=('i686' 'x86_64')
 license=('MPL')
-depends=('gtk2>=2.18.3' 'libidl2>=0.8.13' 'mozilla-common>=1.3'
-	 'nss>=3.12.4' 'libxt' 'gcc-libs>=4.4.2' 'alsa-lib' 'dbus-glib>=0.82')
+depends=('gtk2>=2.18.6' 'libidl2>=0.8.13' 'mozilla-common>=1.3' 'nss>=3.12.4' 'libxt' 'gcc-libs>=4.4.2' 'alsa-lib' 'dbus-glib>=0.82')
 makedepends=('zip' 'pkgconfig' 'diffutils' 'gcc' 'libgnomeui>=2.24.2' 'python')
 replaces=('mozilla')
 url="http://www.mozilla.org/projects/seamonkey"
 source=(http://releases.mozilla.org/pub/mozilla.org/${pkgname}/releases/${pkgver}/source/${pkgname}-${pkgver}.source.tar.bz2
         mozconfig
         seamonkey.desktop
-    	seamonkey-appversion.patch
-	seamonkey-2.0-lang.patch)
+        seamonkey-appversion.patch
+        seamonkey-2.0-lang.patch
+        xulrunner-png14.patch)
 md5sums=('54961be4d7c8f66622ad76fbff7f73f6' '6f25f3af4506a3dfdd9da2d79181c0fd'
          '448848e65efcbf1b2be2873b66b6cd48' 'a4275fc48361c80f676e96fdb28bd74e'
-         '25b6fe16ac24cd5c852213e5c1adb272')
+         '25b6fe16ac24cd5c852213e5c1adb272' '3bd0566180ad2daa32743b3ce58b2095')
 
 build() {
   cd "${srcdir}/comm-1.9.1"
   patch -Np1 -i "${srcdir}/seamonkey-appversion.patch" || return 1
   patch -Np1 -i "${srcdir}/seamonkey-2.0-lang.patch" || return 1
+  cd mozilla || return 1
+  patch -Np0 -i "${srcdir}/xulrunner-png14.patch" || return 1
+  cd ..
 
   cp "${srcdir}/mozconfig" .mozconfig
   unset CFLAGS

Added: xulrunner-png14.patch
===================================================================
--- xulrunner-png14.patch	                        (rev 0)
+++ xulrunner-png14.patch	2010-01-17 14:28:15 UTC (rev 63437)
@@ -0,0 +1,11 @@
+--- modules/libpr0n/encoders/png/nsPNGEncoder.cpp.orig	2010-01-17 00:15:53.979744638 +0100
++++ modules/libpr0n/encoders/png/nsPNGEncoder.cpp	2010-01-17 00:16:07.855993411 +0100
+@@ -135,7 +135,7 @@
+ 
+   // initialize
+   mPNG = png_create_write_struct(PNG_LIBPNG_VER_STRING,
+-                                 png_voidp_NULL,
++                                 NULL,
+                                  ErrorCallback,
+                                  ErrorCallback);
+   if (! mPNG)



More information about the arch-commits mailing list